MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Functions
SongFilter.hxx File Reference
`#include "util/AllocatedString.hxx"`
`#include "Compiler.h"`
`#include <list>`
`#include <stdint.h>`
`#include <time.h>`
Include dependency graph for SongFilter.hxx:

Go to the source code of this file.

## Data Structures
struct | ConstBuffer< T >
| A reference to a memory area that is read-only. More...
class | SongFilter
class | SongFilter::Item

## Macros
#define | LOCATE_TAG_BASE_TYPE (TAG_NUM_OF_ITEM_TYPES + 1)
| Limit the search to files within the given directory. More...
#define | LOCATE_TAG_MODIFIED_SINCE (TAG_NUM_OF_ITEM_TYPES + 2)
#define | LOCATE_TAG_FILE_TYPE TAG_NUM_OF_ITEM_TYPES+10
#define | LOCATE_TAG_ANY_TYPE TAG_NUM_OF_ITEM_TYPES+20

## Functions
gcc_pure unsigned | locate_parse_type (const char *str)

## Macro Definition Documentation

#define LOCATE_TAG_ANY_TYPE TAG_NUM_OF_ITEM_TYPES+20

Definition at line 38 of file SongFilter.hxx.

#define LOCATE_TAG_BASE_TYPE (TAG_NUM_OF_ITEM_TYPES + 1)

Limit the search to files within the given directory.

Definition at line 34 of file SongFilter.hxx.

#define LOCATE_TAG_FILE_TYPE TAG_NUM_OF_ITEM_TYPES+10

Definition at line 37 of file SongFilter.hxx.

#define LOCATE_TAG_MODIFIED_SINCE (TAG_NUM_OF_ITEM_TYPES + 2)

Definition at line 35 of file SongFilter.hxx.

## Function Documentation

gcc_pure unsigned locate_parse_type | ( | const char * | str | ) |

Returns
  TAG_NUM_OF_ITEM_TYPES on error